﻿using System.Collections.Generic;

namespace Privileges.Model
{
    public class User
    {
        private readonly List<string> _roles = new List<string>();

        public void AddToRole(string role)
        {
            if (!_roles.Contains(role))
            {
                _roles.Add(role);
            }
        }

        public bool IsInRole(string role)
        {
            return _roles.Contains(role);
        }
    }
}